Mailinglist Archive: opensuse (1620 mails)

< Previous Next >
[opensuse] Updating VMware Workstation 10
Hi,

I have VMworkstation 10.0.2. I'm trying to update it to the latest version (10.0.4), but it seems not to work.
Via the Workstation GIU it just hangs, via the command-line I can't get past the license.
The same happens with 10.0.3.
Command-line-output (for 10.0.3, but it's the same for 10.0.4) :

./VMware-Workstation-Full-10.0.3-1895310.x86_64.bundle
Extracting VMware Installer...done.
You must accept the VMware OVF Tool component for Linux End User
License Agreement to continue. Press Enter to proceed.
Do you agree? [yes/no]: y

You must accept the VMware Workstation End User License Agreement to
continue. Press Enter to proceed.

I tried inputting "yes", but it's the same.

Anyone can give comments ?

TIA,

Koenraad Lelong.

P.S. Just looked in /var/log/vmware-installer :

[2014-11-07 09:04:12,968] Top level exception handler
Traceback (most recent call last):
File "/usr/lib/vmware-installer/2.1.0/vmis/core/transaction.py", line 414, in RunThreadedTransaction
txn.Run()
File "/usr/lib/vmware-installer/2.1.0/vmis/core/transaction.py", line 76, in Run
self.get()()
File "/usr/lib/vmware-installer/2.1.0/vmis/ui/console.py", line 49, in Show
answer = txn.ui.ShowEULA(eula.text, eula.componentName)
File "/usr/lib/vmware-installer/2.1.0/vmis/ui/console.py", line 384, in ShowEULA
Popen(self._getMoreBin(), stdin=PIPE).communicate(input=text)
File "/usr/lib/vmware-installer/2.1.0/python/lib/subprocess.py", line 642, in communicate
self.stdin.write(input)
UnicodeEncodeError: 'ascii' codec can't encode character u'\u201c' in position 424: ordinal not in range(128)
[2014-11-07 09:04:14,051] destination /tmp/tmpgPGfTF/.installer/10.0.3/include/systemType.py already exists, overwriting.
[2014-11-07 09:04:14,052] destination /tmp/tmpgPGfTF/.installer/10.0.3/include/update.py already exists, overwriting.
[2014-11-07 09:04:14,053] destination /tmp/tmpgPGfTF/.installer/10.0.3/__init__.py already exists, overwriting.
[2014-11-07 09:04:14,054] destination /tmp/tmpgPGfTF/.installer/10.0.3/include/initscript.py already exists, overwriting.
[2014-11-07 09:04:14,056] destination /tmp/tmpgPGfTF/.installer/10.0.3/vmware-workstation.py already exists, overwriting.
[2014-11-07 09:04:14,057] destination /tmp/tmpgPGfTF/.installer/10.0.3/include/versions.py already exists, overwriting.

UnicodeEncodeError : is this the problem ? I don't understand why though.
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >